import { ChangeDetectorRef, ElementRef, OnInit, SimpleChanges } from "@angular/core";
import { ILoadedEventArgs, ChartComponent, ITooltipRenderEventArgs } from "@syncfusion/ej2-angular-charts";
import { DropDownList } from "@syncfusion/ej2-angular-dropdowns";
import { DashboardService } from "../dashboard.service";
import { DecimalPipe } from "@angular/common";
export declare class BarChartsComponent implements OnInit {
    private ref;
    dashboardService: DashboardService;
    private decimalPipe;
    content: ElementRef;
    chart: ChartComponent;
    dataColumn: any;
    dataLine: any;
    dataStackingColumn: any;
    columnType: any;
    lineType: any;
    themeColor: any;
    portlet: any;
    dashboard: any;
    column: any[];
    columnLine: any[];
    config: any;
    _dataStackingColumn: any[];
    marker: any;
    specialKey: string[];
    pageLoading: boolean;
    zoomSettings: Object;
    primaryXAxis: Object;
    primaryYAxis: Object;
    chartArea: Object;
    tooltip: Object;
    legend: Object;
    load(args: ILoadedEventArgs): void;
    title: string;
    height: string;
    width: string;
    customPalette: string[];
    private subscriptions;
    exportType: DropDownList;
    markerFormat: string;
    constructor(ref: ChangeDetectorRef, dashboardService: DashboardService, decimalPipe: DecimalPipe);
    ngOnInit(): void;
    private initMarkerConfig;
    textRender(e: any): void;
    initData(): void;
    ngOnChanges(changes: SimpleChanges): void;
    refreshChart(): void;
    resizeObserver: any;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    changeSize(width: any, height: any): void;
    exportChart(): void;
    OnChartAxisLabeRender(args: any): void;
    getT(value: any): string;
    formatPercentage(decimal: any): string;
    arraysAreEqual(arr1: any, arr2: any): boolean;
    objectsAreEqual(obj1: any, obj2: any): boolean;
    onPointRender(e: any): void;
    tooltipRender(args: ITooltipRenderEventArgs | any): void;
}
